@import "../theme";

.exc {
  background: rgba(7, 7, 7, 0.6);
  border: 1px solid #FFFFFF;
  backdrop-filter: blur(7px);
  border-radius: 46px;
  padding: 40px;

  @media (max-width: 1200px) {
    padding: 16px;
  }

  &-wrapper {
    padding: 150px 0;
    background: url("static/ExclusivelyOn/bg.jpg") no-repeat center / cover;

    @media (max-width: 1200px) {
      padding: 50px 0;
    }
  }

  &__title {
    margin-bottom: 40px;
    font-weight: 700;
    font-size: 24px;
    line-height: 130%;
    text-align: center;
    text-transform: uppercase;
    color: #00A79D;

    @media (max-width: 1200px) {
      font-size: 20px;
      margin-bottom: 24px;
    }

    img {
      position: relative;
      top: 5px;
      margin-left: 12px;

      @media (max-width: 1200px) {
        top: 2px;
      }
    }
  }

  &-items {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-auto-rows: 491px;
    column-gap: 45px;

    @media (max-width: 1200px) {
      grid-auto-rows: auto;
      grid-template-columns: 1fr;
      row-gap: 24px;
    }

    &-item {
      padding: 16px;
      display: flex;
      flex-direction: column;
      row-gap: 18px;
      align-items: center;
      background: rgba(7, 7, 7, 0.6);
      border: 1px solid #FFFFFF;
      border-radius: 26px;

      &__logo {

      }

      &__title {
        font-weight: 700;
        font-size: 24px;
        line-height: 130%;
        text-align: center;
        text-transform: uppercase;
        background: linear-gradient(180deg, #00A79D 0%, #8C41CE 100%);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
        background-clip: text;
        text-fill-color: transparent;
      }

      ::v-deep &__text {
        font-weight: 500;
        font-size: 16px;
        line-height: 130%;
        text-align: center;
        color: #999999;

        strong {
          color: #00A79D;
        }

        a {
          text-decoration: underline;
          color: #FF00E5;
        }
      }

      &-buttons {
        margin-top: auto;
        display: flex;
        flex-direction: column;
        width: 100%;
        row-gap: 18px;

        &__button {
          width: 100%;
          display: flex;
          align-items: center;
          justify-content: center;
          background: linear-gradient(180deg, #00A79D 0%, #8C41CE 100%);
          border-radius: 16px;
          font-weight: 700;
          font-size: 20px;
          line-height: 130%;
          text-align: center;
          text-transform: uppercase;
          color: #FFFFFF;
          padding: 12px 0;
          height: 48px;
          column-gap: 10px;

          @media (max-width: 1200px) {
            height: auto;
            flex-wrap: wrap;
            padding: 12px;
          }
        }
      }
    }
  }
}
